> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata on the Rated Solana API endpoints

> This endpoint returns information about the latest complete daily data available from Rated's Solana API endpoints.



## OpenAPI

````yaml get /v1/solana/apiMetadata
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/apiMetadata:
    get:
      tags:
        - Solana Network
      summary: Get metadata on the Rated Solana API endpoints
      description: >-
        This endpoint returns information about the latest complete daily data
        available from Rated's Solana API endpoints.
      operationId: get_latest_network_date_v1_solana_apiMetadata_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolanaApiMetadata'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    SolanaApiMetadata:
      properties:
        lastFullDay:
          type: string
          format: date
          title: Lastfullday
        fromSlot:
          type: integer
          minimum: 0
          title: Fromslot
        toSlot:
          type: integer
          minimum: 0
          title: Toslot
        fromEpoch:
          type: integer
          minimum: 0
          title: Fromepoch
        toEpoch:
          type: integer
          minimum: 0
          title: Toepoch
      type: object
      required:
        - lastFullDay
        - fromSlot
        - toSlot
        - fromEpoch
        - toEpoch
      title: SolanaApiMetadata
      examples:
        - fromEpoch: 709
          fromSlot: 306696063
          lastFullDay: '2024-12-11'
          toEpoch: 710
          toSlot: 306902880
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````